/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\Chief Paroxymous\Quest Keys\ChiefParoxysmusKey.cs
Lines of code: 53
***********************************************************/


using System;
using Server;
using Server.Items;

namespace Server.Items
{

	public class ChiefParoxysmusKey : basepeerlesskey
	{
	
		[Constructable]
		public ChiefParoxysmusKey(Map map) : base("Chief Paroxysmus","ChiefParoxysmus", new Point3D(6517,359,1),new Point3D(6518,365,56),map,
		new Rectangle2D( new Point2D(6494,346 ), new Point2D( 6553, 400 ) ) )
		{
		ItemID=3628;
		Hue=168;
		}
		
		[Constructable]
		public ChiefParoxysmusKey() : this(Map.Trammel)
		{
		}
		
		public ChiefParoxysmusKey( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
	
	
	//used experimentally, not really used in game as the cauldron generates it
	public class ChiefParoxysmusKeyBag : peerlesskeybag
	{	
	
		[Constructable]
		public ChiefParoxysmusKeyBag() : base(new ChiefParoxysmusKey(), 3,1,1)
		{		
		}	
	
		public ChiefParoxysmusKeyBag( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}	
	}	
	
	

}